Bug 250738 - build patches for coolkey
build patches for coolkey
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 06:49 EDT by Stanislav Brabec
Modified: 2011-06-03 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 12:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
coolkey-string-literal-comparison.patch (556 bytes, patch)
2007-08-03 06:49 EDT, Stanislav Brabec
no flags Details | Diff
coolkey-configure-syntax-error.patch (345 bytes, patch)
2007-08-03 06:50 EDT, Stanislav Brabec
no flags Details | Diff
coolkey-amflags.patch (165 bytes, patch)
2007-08-03 06:50 EDT, Stanislav Brabec
no flags Details | Diff

  None (edit)
Description Stanislav Brabec 2007-08-03 06:49:27 EDT
Attached patches fix several apparently incorrect parts of coolkey code.

coolkey-string-literal-comparison.patch: Fixes comparison of string pointer with
string literal.

coolkey-configure-syntax-error.patch: Fixes syntax error in configure.in.

coolkey-amflags.patch: Removes support for m4 directory, which is not packaged
(and seems not to be needed for autoreconf).
Comment 1 Stanislav Brabec 2007-08-03 06:49:27 EDT
Created attachment 160595 [details]
coolkey-string-literal-comparison.patch
Comment 2 Stanislav Brabec 2007-08-03 06:50:01 EDT
Created attachment 160596 [details]
coolkey-configure-syntax-error.patch
Comment 3 Stanislav Brabec 2007-08-03 06:50:19 EDT
Created attachment 160597 [details]
coolkey-amflags.patch
Comment 4 Bob Relyea 2007-08-03 20:22:48 EDT
Acknowledge reciept.

I'll look in to the patches. Thanks!

bob
Comment 5 Bug Zapper 2008-04-04 09:32:03 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Stanislav Brabec 2008-04-04 09:55:10 EDT
This bug is reported against CoolKey 1.1.0, latest CoolKey release, not against
Fedora. So it is still valid.
Comment 7 Bug Zapper 2008-11-26 02:38:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:11:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Bob Relyea 2009-01-09 15:25:17 EST
These patches may apply to the current coolkey, reopenning.

bob
Comment 10 Jack Magne 2009-09-16 16:30:26 EDT
Bob: I tried out these patches on rawhide build appears to work fine:


Index: Makefile.am
===================================================================
RCS file: /cvs/dirsec/coolkey/Makefile.am,v
retrieving revision 1.6
diff -C 2 -r1.6 Makefile.am
*** Makefile.am 28 Jun 2007 20:54:21 -0000 1.6
--- Makefile.am 16 Sep 2009 20:22:24 -0000
***************
*** 26,31 ****
  endif

- ACLOCAL_AMFLAGS = -I m4
- 
  EXTRA_DIST = coolkey.spec LICENSE

--- 26,29 ----

RCS file: /cvs/dirsec/coolkey/configure.in,v
retrieving revision 1.14
diff -C 2 -r1.14 configure.in
*** configure.in 16 Feb 2007 19:50:50 -0000 1.14
--- configure.in 16 Sep 2009 18:38:16 -0000
***************
*** 125,131 ****
    PKG_CHECK_MODULES(NSS, nss, true, [ AC_MSG_ERROR(could not find NSS Crypto
libraries) ])
  fi
!   enable_pk11install = "yes"
  else
!   enable_pk11install = "no"
    AC_MSG_WARN([skipping pk11install])
  fi
--- 125,131 ----
    PKG_CHECK_MODULES(NSS, nss, true, [ AC_MSG_ERROR(could not find NSS Crypto
libraries) ])
  fi
!   enable_pk11install="yes"
  else
!   enable_pk11install="no"
    AC_MSG_WARN([skipping pk11install])
  fi

Index: src/coolkey/slot.cpp
===================================================================
RCS file: /cvs/dirsec/coolkey/src/coolkey/slot.cpp,v
retrieving revision 1.11
diff -C 2 -r1.11 slot.cpp
*** src/coolkey/slot.cpp 19 Feb 2009 02:04:13 -0000 1.11
--- src/coolkey/slot.cpp 16 Sep 2009 18:38:17 -0000
***************
*** 980,984 ****
  #define COOLKEY "CoolKey"
  #define POSSESSION " for "
!     if (!personName || personName == "") {
   const int coolKeySize = sizeof(COOLKEY) ;
   memcpy(label, COOLKEY, coolKeySize-1);
--- 980,984 ----
  #define COOLKEY "CoolKey"
  #define POSSESSION " for "
!     if (!personName || personName[0] == '\0' ) {
   const int coolKeySize = sizeof(COOLKEY) ;
   memcpy(label, COOLKEY, coolKeySize-1);
Comment 11 Bob Relyea 2009-09-16 17:11:15 EDT
Definitely take the slot.cpp it's a bug.
Definitely take the configure.in patch.

Both of these should be checked in upstream.

For the Makefile.am case...
delete configure
delete */Makefile */Makefile.in (including ./Makefile and ./Makefile.in)
automake
./configure
make


If everything builds OK, check it in upstream. If not, apply the patch to the fedora package, but don't check it in upstream.


My expectation is that all 3 patches should be fine upstream.

bob
Comment 12 Jack Magne 2009-09-16 20:00:03 EDT
Checking in configure.in;
/cvs/dirsec/coolkey/configure.in,v  <--  configure.in
new revision: 1.15; previous revision: 1.14
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Checking in src/coolkey/slot.cpp;
/cvs/dirsec/coolkey/src/coolkey/slot.cpp,v  <--  slot.cpp
new revision: 1.12; previous revision: 1.11
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 13 Jack Magne 2009-09-16 20:01:00 EDT
The Makefile.am change will require some more work. This was discovered after doing the test you suggested.
Comment 14 Bob Relyea 2009-09-16 20:53:39 EDT
For now you can rebase coolkey to the latest tip, then add the Makefile.am patch to the .srpm for fedora. This should be fine as long as autoreconf works, there isn't a need to do a complete automake from fedora.

bob
Comment 15 Bob Relyea 2009-09-16 20:55:43 EDT
Jack, when you rebase, be sure to put the new release up here: http://directory.fedoraproject.org/wiki/CoolKey


bob
Comment 16 Stanislav Brabec 2009-09-17 08:37:10 EDT
Regarding the coolkey-amflags.patch (removing "ACLOCAL_AMFLAGS = -I m4"): Depending on autotools version, it may or may not be needed, or it may be needed as ACLOCAL_AMFLAGS = "-I m4".
Comment 17 Bug Zapper 2009-11-18 07:20:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Stanislav Brabec 2009-11-18 08:17:18 EST
This bug is reported against CoolKey 1.1.0. It will be valid until its fix, independently on Fedora version.
Comment 19 Bug Zapper 2010-03-15 07:52:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-02 14:40:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Stanislav Brabec 2011-06-03 12:47:21 EDT
It seems to be finally fixed in rawhide. All three patches were merged into coolkey-simple-bugs.patch.

However the coolkey itself seems to be a dead project that don't make any further releases.

Note You need to log in before you can comment on or make changes to this bug.